Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.openqa.selenium.server.browserlaunchers
Enum LauncherUtils.ProxySetting

    java.lang.Object
      java.lang.Enum<LauncherUtils.ProxySetting>
          org.openqa.selenium.server.browserlaunchers.LauncherUtils.ProxySetting

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LauncherUtils.ProxySetting>

Enclosing class:
  LauncherUtils

    protected static enum LauncherUtils.ProxySetting

extends java.lang.Enum<LauncherUtils.ProxySetting>

Enum Constant Summary
`NO_PROXY`
`PROXY_EVERYTHING`
`PROXY_SELENIUM_TRAFFIC_ONLY`

Method Summary
`static LauncherUtils.ProxySetting` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LauncherUtils.ProxySetting[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_PROXY

    public static final LauncherUtils.ProxySetting NO_PROXY

### PROXY_SELENIUM_TRAFFIC_ONLY

    public static final LauncherUtils.ProxySetting PROXY_SELENIUM_TRAFFIC_ONLY

### PROXY_EVERYTHING

    public static final LauncherUtils.ProxySetting PROXY_EVERYTHING

Method Detail

### values

    public static LauncherUtils.ProxySetting[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LauncherUtils.ProxySetting c : LauncherUtils.ProxySetting.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LauncherUtils.ProxySetting valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.